🎉 Node-RED 2.0.2 Released

We've just published Node-RED 2.0.2.

This fixes all of the known issues at this point in time.

One of those fixes for the HTTP Request node works around a problem introduced by old versions of the agent-base module. Those old versions were patching a core node.js function in a way that could break other libraries - including one we started using in Node-RED 2.0 for the HTTP Request ndoe.

The fix we've added in 2.0.2 detects the bad patching done by that module and undoes it if there.

The underlying issue in agent-base was fixed a long time ago, however there are still lots of modules out there that directly (or indirectly) require the older version.

We have so far identified the following list of nodes in the catalog that depend on the older version. If you are using any of the nodes in the list, depending on how exactly they use agent-base, they may need fixing to use the latest version. Not all of these modules are actively maintained - we'll do what we can to notify their authors that there's something for them to do here.

dialogflow-full-nodered@1.0.10 
node-red-contrib-actions-google@0.1.6 
node-red-contrib-ale-iot-hub@0.0.11 
node-red-contrib-aws@0.7.0 
node-red-contrib-azure-translate-speech@2.0.0 
node-red-contrib-box-note@0.1.7 
node-red-contrib-canal@1.0.4 
node-red-contrib-chatbot-custom@1.0.3 
node-red-contrib-chatbot-discord@1.0.2 
node-red-contrib-chatbot@0.19.7 
node-red-contrib-clearblade-mqtt@1.0.5 
node-red-contrib-cloud-annotations-gpu@0.0.5 
node-red-contrib-cloud-annotations@0.0.2 
node-red-contrib-cloud-firebase-auth@0.2.0 
node-red-contrib-datacake@0.1.4 
node-red-contrib-dialogflowv2-api@1.0.4 
node-red-contrib-digitaloak-mqtt@1.0.5 
node-red-contrib-facial-recognition@0.29.105 
node-red-contrib-firebase-realtime-database@0.1.3 
node-red-contrib-functionx@1.0.2 
node-red-contrib-gcp-error-reporting@1.4.4 
node-red-contrib-glide@0.0.1 
node-red-contrib-google-action-dialogflow-http@0.7.3 
node-red-contrib-google-action@1.2.1 
node-red-contrib-google-calendar@0.1.5 
node-red-contrib-google-cloud@0.0.24 
node-red-contrib-google-oauth2@0.3.2 
node-red-contrib-google-pubsub@0.1.1 
node-red-contrib-google-storage@0.1.1 
node-red-contrib-googlehome-actions-v2-piyanggoon@0.2.0 
node-red-contrib-googlehome-actions-v2@0.0.7 
node-red-contrib-hangouts-chat@0.0.3 
node-red-contrib-hikcamera@1.1.8 
node-red-contrib-hikvision@1.1.1 
node-red-contrib-huawei-router@0.0.5 
node-red-contrib-icreate-upnp@2.2.1 
node-red-contrib-komfovent@0.3.2 
node-red-contrib-loose@0.0.2 
node-red-contrib-modbustcp-box@1.2.1 
node-red-contrib-mqtt-dynamicsub@0.0.9 
node-red-contrib-ms-cognitive-services@1.0.8 
node-red-contrib-nextcloud@0.1.0 
node-red-contrib-npm@1.0.2 
node-red-contrib-passport-azure-ad@0.0.1 
node-red-contrib-puppeteer-new@0.2.0 
node-red-contrib-puppeteer-nodes@0.1.1 
node-red-contrib-puppeteer-simple@1.0.3 
node-red-contrib-samsung-automation-studio-nodes@1.1.11 
node-red-contrib-sax1johno-function-npm@0.4.1 
node-red-contrib-seneca@0.1.8 
node-red-contrib-slack-files@0.1.2 
node-red-contrib-slack-profiler@0.1.2 
node-red-contrib-slackattach@0.1.2 
node-red-contrib-slacker@1.0.0 
node-red-contrib-slackerattach@1.0.7 
node-red-contrib-sonus@0.0.2 
node-red-contrib-speed-test@0.1.2 
node-red-contrib-speedtest-updated@2.0.2 
node-red-contrib-speedtest@1.0.1 
node-red-contrib-tensorflow-js@0.0.8 
node-red-contrib-tfjs-coco-ssd@0.5.6 
node-red-contrib-verisure@0.4.1 
node-red-contrib-viseo-dialogflow@1.0.1 
node-red-contrib-viseo-google-actions@0.2.0 
node-red-contrib-viseo-recast@0.2.0 
node-red-contrib-watson-token-generator@0.0.3 
node-red-contrib-wdio@1.3.2 
node-red-contrib-web-babylonjs@0.0.13 
node-red-contrib-web-page-screenshot-shubham@0.2.11 
node-red-contrib-web-page-screenshot@0.2.1 
node-red-contrib-web-push@0.0.2 
node-red-contrib-whatsappbot@0.2.3 
node-red-contrib-xiaomi-sensors@1.4.2 
node-red-contrib-xooa@1.0.3 
node-red-node-dropbox@1.0.2 
nodered-contrib-signal-client-2@0.0.5 
nodered-contrib-signal-client@2.4.2 
7 Likes

Thank you! fixing/testing now

node-red-contrib-facial-recognition@0.29.105

now

node-red-contrib-facial-recognition@0.30.105

update: Just tested and working. now using agent-base@6.0.2

1 Like